Bug 268395 - MultiCursor make problems for code completion after hitting tab or enter
MultiCursor make problems for code completion after hitting tab or enter
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
8.2
PC Other
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-07 08:00 UTC by ChrisLE
Modified: 2017-05-11 01:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
MultiCursor CodeCompletion Problem (113.26 KB, image/gif)
2016-10-07 08:00 UTC, ChrisLE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ChrisLE 2016-10-07 08:00:33 UTC
Created attachment 162385 [details]
MultiCursor CodeCompletion Problem

First I tried it in a js file but it also happens in java, so I think it's a common problem with multi cursors in each language.

As you can see it in my screen capture, I would like to change $ to document.querySelector and after query I hit ctrl + space, the code completion comes up and I hit tab or enter to complete querySelector and it only completes the last selected item which is a big problem.

What I expect is that each selected occurency will complete to that, what I've chosen.


Regards

Chris
Comment 1 Dusan Balek 2017-05-09 11:16:36 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/31947d5df493
Comment 2 Quality Engineering 2017-05-11 01:44:00 UTC
Integrated into 'main-silver', will be available in build *201705110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/31947d5df493
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #268395 - MultiCursor make problems for code completion after hitting tab or enter - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo